精华内容
下载资源
问答
  • 安装h5py失败

    千次阅读 2021-04-09 19:29:06
    安装h5py一直失败 俺在按照python h5py安装(记录使用wheel安装的方法)装h5py的时候发现明明是按照步骤装的为啥还是报下面的error h5py-2.10.0-cp38-cp38-win_amd64.whl is not a supported wheel on this ...

    安装h5py一直失败

    俺在按照python h5py库安装(记录使用wheel安装的方法)装h5py的时候发现明明是按照步骤装的为啥还是报下面的error

    h5py-2.10.0-cp38-cp38-win_amd64.whl is not a supported wheel on this platform.
    

    最后找到原因是版本匹配的问题
    在这里插入图片描述
    在这里插入图片描述
    俺在查了版本后以为只要cp38-cp38对应就行,实际上要cp38-cp38-win32对应,下载win_amd64就会报错。(太低级的错误了,羞愧!)

    展开全文
  • 关于python 中h5py安装不上的解决办法问题解决步骤1、先安装wheel这个库,方法就是从命令行中输入pip install wheel2、下载自己对应的h5py的版本,网址如下3、下载好了就可以用命令行来安装这个库了 问题 最近在学...

    问题

    最近在学吴恩达的深度学习,想着根据看的内容写点代码,但是吴恩达给的猫的数据是.h5格式的需要python中的h5py这个库的支持,但是在安装的过程中总是安装不上,先是用pip,然后用pycharm自带的下载,都是安装很长时间都安装不上,在网上查了许多教程貌似都挺麻烦的,后来用wheel来安装,还挺简单的。

    解决步骤

    1、先安装wheel这个库,方法就是从命令行中输入pip install wheel

    2、下载自己对应的h5py的版本,网址如下

      https://www.lfd.uci.edu/~gohlke/pythonlibs/#h5py
    

    在这里插入图片描述

    这里说一句可以先看看自己的python适合什么版本,通过命令行python -m pip debug --verbose 来查看
    在这里插入图片描述
    我是用的python3.8 所以只能是cp38以下的,所以选择下载第四个cp38-win32的版本

    3、下载好了就可以用命令行来安装这个库了

    现将命令行的路径设置到下载wheel文件所在的目录下,具体用怎么用cd这个命令就不细说了,可以自行百度
    然后在命令行中输入 pip install xxx.whl来来安装下载的wheel文件(xxx为你下载的文件名)
    安装成功后可以在编译器中输入import h5py试试,有没有报错
    在这里插入图片描述
    至此问题就解决了,我是安装了一遍就成功了,python是3.8 pycharm是2020社区版

    展开全文
  • h5py安装问题 在import h5py时,发现了一个非常有意思的问题 ImportError Traceback (most recent call last) <ipython-input-1-222c37a30cec> in <module> 1 import numpy as np ----> 2 import h5...

    h5py安装问题

    import h5py时,发现了一个非常有意思的问题

    ImportError                               Traceback (most recent call last)
    <ipython-input-1-222c37a30cec> in <module>
          1 import numpy as np
    ----> 2 import h5py
          3 import matplotlib.pyplot as plt
          4 import tensorflow as tf
          5 from tensorflow.python.framework import ops
    
    D:\Program\Anaconda3\envs\tensorflow\lib\site-packages\h5py\__init__.py in <module>
         32         raise
         33 
    ---> 34 from . import version
         35 
         36 if version.hdf5_version_tuple != version.hdf5_built_version_tuple:
    
    D:\Program\Anaconda3\envs\tensorflow\lib\site-packages\h5py\version.py in <module>
         15 
         16 from collections import namedtuple
    ---> 17 from . import h5 as _h5
         18 import sys
         19 import numpy
    
    h5py\h5.pyx in init h5py.h5()
    
    ImportError: DLL load failed: 找不到指定的程序。
    

    输入conda list,发现h5py版本为3.1.0

    image-20211119180652499

    通过文件目录D:\Program\Anaconda3\envs\tensorflow\Lib\site-packages查看,发现h5py版本为2.10.0

    image-20211119180827855

    原因:

    pip和conda都安装了h5py,版本冲突

    解决方法:

    conda uninstall h5py
    pip uninstall h5py
    pip install h5py
    
    展开全文
  • h5py安装问题解决

    千次阅读 2018-04-02 11:48:00
    H5py官网教程完全有问题,这个大家都这么说,但是貌似问题出现在Numpy上,由于numpy的版本过高! 这里是官网的教程:http://docs.h5py.org/en/latest/build.html#install 问题提示:Conversion of the second ...

    H5py官网教程完全有问题,这个大家都这么说,但是貌似问题出现在Numpy上,由于numpy的版本过高!

    这里是官网的教程:http://docs.h5py.org/en/latest/build.html#install

     

    问题提示:Conversion of the second argument of issubdtype from `float` to `np.floating。。。。

    网上的解决思路http://www.cnblogs.com/Ponys/p/3671458.html

     

    我不知道网上的做法是否正确,我用的方法是先卸载numpy,安装h5py,接着再重新安装低版本的numpy。

    系统自动安装的是1.14版本,我们需要安装1.13版本的!

    具体安装两种:

      利用whl文件:https://www.lfd.uci.edu/~gohlke/pythonlibs/#numpy

      利用pycharm:   

     

     

    如果直接安装不行,那就下载Anaconda去卸载然后再安装!

     

    转载于:https://www.cnblogs.com/wjy-lulu/p/8692111.html

    展开全文
  • h5py兼容
  • h5py-树莓派4B.zip

    2020-03-13 15:22:25
    机器学习辅助插件下载h5py3.7,树莓派可用 h5py-2.10.0-cp37-cp37m-linux_armv7l.whl
  • python3下安装h5py

    万次阅读 2018-03-06 16:21:23
    python3下安装h5py一句话代码:python3 -m pip install h5py #直接安装,速度可能较慢若安装失败则检测cython,pillow相关依赖
  • Tensorflow安装警告之h5py

    千次阅读 2019-06-19 12:26:42
    问题描述: 解决方案: pip install h5py==2.8.0rc1
  • 在xavier上安装tensorflow(1.12-gpu版本)过程中报错的解决方法: 安装步骤: 第一步:sudo apt-get install python-pip python-dev 第二步:sudo pip install --upgrade pip 第三步:sudo pip install ...
  • 可能的报错如下: error: Unable to load dependency HDF5, make sure HDF5 is installed properly error: libhdf5.so: cannot open shared object file: No such ... ERROR: Failed building wheel for h5py Failed
  • Ubuntu16.04下安装h5py

    千次阅读 2018-04-12 23:02:30
    安装h5py: sudo pip3 install cython sudo apt-get install libhdf5-dev sudo pip3 install h5py 安装完测试 python import h5py 出现问题:\h5py__init__.py:36: FutureWarning: Conversion of the second ...
  • PYTHON h5py库包安装及读写

    千次阅读 2020-03-06 16:58:15
    一、h5py库包安装 1. 在线安装 基本方法: cmd安装:pip install h5py pycharm环境:file-->setting-->PROJECT-->Project interpreter-->**+**-->搜索需要的库包-->installing 然而,本人在线安装...
  • 虚拟linux环境下h5py安装与使用

    千次阅读 2017-06-23 16:05:15
    安装h5py,Pre-built installation (recommended)pip install h5py了解:An HDF5 file is a container for two kinds of objects: datasets, which are array-like collections of data, and groups, which are ...
  • Python2.7安装h5py包的艰辛历程

    千次阅读 2019-02-24 16:26:12
    本人一遥感研究僧,因为遇到HDF5格式的数据,要进行批处理,打算利用Pyhton的大手解决这个问题,无奈开启了安装h5py包的艰辛历程。 说明一下为什么要写这么多步骤,因为在这探索的过程中,有很多人都已经解决了问题...
  • python h5py安装 安装时一直报错,因此参考了关于python 中h5py安装不上的解决办法的文章,记录解决过程 文章目录python h5py安装前言1 .安装wheel库二、下载对应的h5py的版本,网址如下官方库各种python的wheel...
  • python 【1】h5py模块读取*.h5文件

    千次阅读 2020-11-17 22:39:46
    import h5py h5f = h5py.File("C:\\aaa.h5", "r") # 可以遍历所有keys list(h5f.keys()) # 取值(假设存在‘keys1’,‘keys2’两个key用于示例) val1 = h5f['keys1'] val2 = h5f['keys2'] # 最后释放 h5f.close() ...
  • 树莓派4b虚拟环境下安装python3.5和tensorflow、numpy等基本流程首次启动树莓派安装和进入...5、安装numpy和h5py 6、安装tensorflow==1.12.0和pandas 首次启动树莓派 1、使用完整版镜像,如“2019-07-10-raspbian-b...
  • h5py学习

    2020-09-28 10:14:37
    h5py学习 一、基础知识 (一)安装 【Anaconda3安装】 conda install h5py 【Miniconda安装】 enpkg h5py 【pip安装】 pip install h5py 【MacOS】:使用brew 安装 【源码安装安装组件:python的...
  • 到树莓派piwheels里下载造好的轮子 树莓派wheel
  • h5py导入错误

    2020-03-03 16:02:58
    保存.h5格式文件时报错: module 'h5py' has no attribute 'File' 可能原因: 安装时混用pip和conda 解决方法: cmd中输入 pip uninstall h5py 然后在anaconda中输入 conda intall h5py ...
  • 安装和运行h5py遇到的问题和解决办法。 安装h5py后,导入h5py库出现如下报错信息。后来发现,这个问题也会出现在安装h5py库时。 # python3 Python 3.7.1 | packaged by conda-forge | (default, Feb 18 2019, 01:34...
  • Python h5py导入错误

    千次阅读 2018-04-12 21:30:38
    ERROR:C:\Python27\lib\site-packages\h5py\__init__.py:36: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it ...
  • Python-深度学习-学习笔记(10):对于读取h5py文件的路径问题解决 错误代码: OSError: Unable to open file (unable to open file: name = ‘datasets/train_catvnoncat.h5’, errno = 2, error message = ‘No ...
  • 安装h5py: python --version //查看python版本 pip3 --version //查看pip3版本 pip3 install h5py //安装 然后 pycharm 中import h5py 报错 : ModuleNotFoundError: No module named 'h5py' 解决方法: ...
  • TensorFlow训练模型的时候,我们习惯把训练的模型,保存下来。不然谁想把自己训练了几天的... File "D:\研究生资料\tensorflow\未命名0.py", line 10, in <module> new_model =tf.keras.models.load_model('D
  • 最近在提取一些 .mat文件中的数据时,其实是一些跟踪算法的结果,用scipy.io处理不了,得用h5py解析,但是通过一些博客去解析发现解析不了,然后研究了一下h5py这个数据结构: 文件链接,一个跟踪算法生成的结果...
  • python导入h5py出现的问题

    万次阅读 热门讨论 2018-01-30 09:59:07
    C:\Python27\lib\site-packages\h5py\__init__.py:36: FutureWarning: Conversion of the second argument of issubdtype from `float` to `np.floating` is deprecated. In future, it will be treated as `
  • 32位Python 3.3.2中h5py安装问题

    千次阅读 2013-10-14 17:31:40
    在32位Python 3.3.2中安装numpy  在h5py的官网(http://www.h5py.org/index.html)下载windows安装包,并执行安装安装包管理器...(因h5py依赖numpy,在安装完毕后可正常import h5py) 在WinPython-32bit-3.
  • H5py读取.mat数据报错

    千次阅读 2019-03-29 16:49:48
    H5py读取.mat数据报错OSError: Unable to open file (file signature not found), 解决方法: 保存数据的格式改为save(‘保存位置’,‘保存的变量’,‘-v7.3’)。一定要加上‘-v7.3’,然后重新制作数据集,h5py...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 1,927
精华内容 770
关键字:

h5py安装失败